---
title: "How Verizon Connect reduced datacenter rebuilds from 30 days to under 8 hours with GitLab"
author: Kim Lock
author_gitlab: KimLock
author_twitter: GitLab
categories: open source
image_title: '/images/blogimages/verizon_video_blog.jpg'
description: "Verizon utilized microservices, automation, and GitLab to reduce datacenter rebuilds to under 8 hours. "
tags: customers, CI/CD, DevOps, user stories, workflow
cta_button_text: 'Watch the <strong>customer story</strong> video' # optional
cta_button_link: 'https://youtu.be/zxMFaw5j6Zs' # optional
twitter_text: ".@verizonconnect reduces datacenter rebuilds from 30 days to under 8 hours"
postType: content marketing
---

In 2016, the [Verizon Connect](https://www.verizonconnect.com/) Telematics Container Cloud Platform team was struggling with data center
builds that took 30 days. Working with legacy systems that included Java-based, monolithic
applications, they also had a variety of disparate tools including BitBucket, Jenkins, and Jira
in use throughout their environment.

### Starting from scratch to move to microservices and increase automation

The group looked to move to a [microservices architecture](/blog/2019/06/17/strategies-microservices-architecture/) to improve deploy speed and increase
automation. They also wanted to overcome manual errors, disjointed processes, and
manual deploys. "We were just spending too much time doing stuff manually, so we decided
to just start fresh and write everything from scratch," says Mohammed Mehdi, Principal DevOps, Verizon.

<%= partial "includes/blog/content-newsletter-cta", locals: { variant: "a" } %>

As they created this new infrastructure, they kept four key components in mind: architecture,
automation, extensibility, and being proactive and prepared for the future. They wanted to rebuild
their data centers in less than 12 hours, instead of 30 days. They had a goal of 100 percent CI/CD.
They wanted to remove manual deployments, especially around the server and network deployments.
The team also focused on avoiding vendor lock-in by seeking open source tools to help them accomplish these goals.

The team looked to improve automation by focusing on simplification, standardization, and providing end-to-end visibility.
"We wanted easily repeatable, with zero-touch, zero-downtime deployments, automated tracking," Mehdi explains.

### A single solution to meet their needs

The team chose GitLab to support this infrastructure initiative because it met a number of their qualifications, including being open source and offering Windows support. The team liked that it is easy to use and the UI easy to understand.

"Some of the other features that we really loved, and we didn’t find with any other CI/CD tool, are the project management
features," Mehdi says. "GitLab replaced a bunch of disparate systems for us like Jira, BitBucket, and Jenkins. GitLab
provided us with a one-stop solution."

The Verizon Connect Telematics Container Cloud Platform team is using GitLab for:

- [Code review](/blog/2017/03/17/demo-mastering-code-review-with-gitlab/)
- [CI/CD](/stages-devops-lifecycle/continuous-integration/)
- [Issue tracking](/features/#plan)
- [Source Code Management](/stages-devops-lifecycle/source-code-management/)
- [Audit Management](https://docs.gitlab.com/ee/administration/audit_events.html)
- [ChatOps](https://docs.gitlab.com/ee/ci/chatops/)

The team has successfully achieved deployment flexibility and are platform agnostic. They now have
streamlined processes and developers can truly focus on differentiating tasks.

The team was able to reduce their complete datacenter deploy
process to under eight hours because of the streamlined deploy and build processes
they enabled using GitLab. Learn how [Verizon Connect](https://www.verizonconnect.com/) is achieving this success by watching
more about their story and how they achieved their targets in [the YouTube video](https://youtu.be/zxMFaw5j6Zs) below.

<!-- blank line -->
<figure class="video_container">
  <iframe width="560" height="315" src="https://www.youtube.com/embed/zxMFaw5j6Zs" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe> </iframe>
</figure>
<!-- blank line -->

Thanks for giving GitLab a shot, Verizon Connect!

Cover image by [chuttersnap](https://unsplash.com/@chuttersnap) on [Unsplash](https://unsplash.com)
{: .note}
